This site is being rebuilt and some pages are out of date. For current details, write to reach@inorbit.hr. This notice goes away when the rebuild is done.

No analytics unless you allow it, no tracking. This site keeps in your browser the language you pick, the theme, its colour, which site you chose, the currency on the pricing page and that you closed this notice; signing in adds session cookies. The legal page has the details.

Sign in

← Back to LLM

RFC 0006open2026-09-24

Publication

When the lab stops being behind a sign-in, what changes on the site and in the platform when it does, and what has to be true first.

Problem

The lab, its documents and its demo are behind a sign-in while they are being built. That is the right default for work in progress and the wrong one for work that is finished enough to be read. Publishing is not only removing a gate: the site promises things about what it sends and keeps, search engines start indexing, and the demo starts meeting people nobody invited.

Proposal

Publication is one deliberate change, made when the conditions below hold, touching:

  • the site's switch that shows the lab in its navigation and its sitemap;
  • the gate in front of the lab's pages, removed; the gate in front of the workbench's calls to the platform stays, so reading is open and asking still needs an account;
  • the site's privacy page, which gains the sentences the workbench needs (what is sent, what is kept, what stays in the browser);
  • the front page, which gains a link to the workbench.

The conditions. The workbench answers and shows the arena live (RFC 0004); admission refuses quickly rather than queueing (RFC 0001), so a crowd meets a named refusal rather than a minute of nothing; the shield is in front of the edge (RFC 0003); every public document passes the redaction check, which it already has to in order to build; the site guide (RFC 0011) has an allowance for callers who are not signed in, a limit per address at the edge, and the privacy page says what the chat sends and keeps.

Alternatives considered

Publish each document as it is decided. Tempting, and it is how the documents are written: each one is public inside the lab from the day it is opened. Rejected for the lab as a whole: a lab with a demo that cannot take a crowd is a lab that falls over in public on the day someone shares it.

Decision

Open. Fixed so far: one change, the four places, the conditions.

Status log

  • 2026-09-24: opened.
  • 2026-09-24: the chat with the site guide joins the conditions (RFC 0011).
  • 2026-10-07: Checked: No PR names this RFC and the status log records nothing built. Since 2026-10-07 RFCs are kept in the RFCs product (RFC 0065), not published through the site's Lab; no RFC names itself this one's successor, so it is not marked superseded. Open.

This document mentions

Mentioned in

← Back to LLM